summaryrefslogtreecommitdiff
path: root/run-artifact-store-debug
diff options
context:
space:
mode:
Diffstat (limited to 'run-artifact-store-debug')
-rwxr-xr-xrun-artifact-store-debug35
1 files changed, 35 insertions, 0 deletions
diff --git a/run-artifact-store-debug b/run-artifact-store-debug
new file mode 100755
index 0000000..6617abc
--- /dev/null
+++ b/run-artifact-store-debug
@@ -0,0 +1,35 @@
+#!/bin/sh
+# Copyright 2017-2018 Lars Wirzenius
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+set -eu
+
+scopes="
+uapi_blobs_id_put
+uapi_blobs_id_get
+"
+
+./generate-rsa-key t.key
+./create-token < t.key "$scopes" > t.token
+cat <<EOF > t.yaml
+log:
+- filename: t.log
+token-issuer: localhost
+token-audience: localhost
+token-public-key: $(cat t.key.pub)
+blobdir: t.blobs
+EOF
+
+ARTIFACT_STORE_CONFIG=t.yaml python3 artifact_store.py